Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366546 - Not possible to send query parameter with action/add/update methods
Summary: Not possible to send query parameter with action/add/update methods
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-sdk-java
Classification: oVirt
Component: Core
Version: 4.0.0.Alpha11
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.4
: 4.0.0.alpha15
Assignee: Ondra Machacek
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 09:48 UTC by Ondra Machacek
Modified: 2016-09-26 12:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 12:37:54 UTC
oVirt Team: Infra
rule-engine: ovirt-4.0.z+
mgoldboi: planning_ack+
omachace: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 62546 master MERGED Send query parameters with Add/Update actions 2016-08-18 14:05:45 UTC
oVirt gerrit 62558 sdk_4.0 MERGED Send query parameters with Add/Update actions 2016-08-18 14:58:51 UTC

Description Ondra Machacek 2016-08-12 09:48:58 UTC
Description of problem:
When API supports to send query parameter to some action/add/update, in SDK it' not possible send such 
query parameter.

Version-Release number of selected component (if applicable):
oVirt 4.0.2

How reproducible:
always

Steps to Reproduce:
1. Try to create template with 'copy_permissions' flag. Or import vm with collapse snapshots.

  https://github.com/oVirt/ovirt-engine/tree/master/backend/manager/modules/restapi#335-removed-the-permissionsclone-element

  https://github.com/oVirt/ovirt-engine/tree/master/backend/manager/modules/restapi#333-removed-the-snapshotscollapse_snapshots-element

Actual results:
Not possible.

Expected results:
Should be possible to do it from SDK.

Additional info:

Comment 1 Red Hat Bugzilla Rules Engine 2016-08-12 09:49:04 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 3 Gonza 2016-09-15 12:53:18 UTC
Verified with:
java-ovirt-engine-sdk4-4.0.0-0.15.alpha15.el7ev.noarch

https://github.com/oVirt/ovirt-engine-sdk-java/blob/master/sdk/src/test/java/org/ovirt/engine/sdk4/examples/AddIndependentVm.java

VM successfully created


Note You need to log in before you can comment on or make changes to this bug.